--- ./wct1xxp-1.13	2004-07-07 00:16:14.000000000 +0200
+++ ./wct1xxp-1.14	2004-07-07 00:15:55.000000000 +0200
@@ -23,7 +23,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
  *
- * $Id: wct1xxp.c,v 1.13 2003/09/21 15:50:24 markster Exp $
+ * $Id: wct1xxp.c,v 1.14 2003/10/30 17:53:23 markster Exp $
  */
 
 #include <linux/kernel.h>
@@ -912,9 +912,11 @@
 			for (x=3;x<32;x+=4) {
 				if (rxbuf[32 * y + ((x + WC_OFFSET) & 0x1f)] == 0x7f) {
 					if (wc->offset != (x-3)) {
-						wc->offset = x - 3;
+						/* Resync */
+						control_set_reg(wc, WC_CLOCK, 0x02 | wc->sync | wc->ise1);
+						wc->clocktimeout = 100;
 #if 1
-						if (debug) printk("New offset: %d\n", wc->offset);
+						if (debug) printk("T1: Lost our place, resyncing\n", wc->offset);
 #endif
 					}
 				}
